## consul 1.5.2+dfsg2

=== website/Makefile ===
VERSION?="0.3.40"

# The volume mounting steps are a way to exclude all the consul docs from being built
# in the Consul site build process while still including the index.html page that points
# users to learn.hashicorp.com. See PR#5847.

build:
	@echo "==> Starting build in Docker..."
	@docker run \
		--interactive \
		--rm \
		--tty \
		--volume "$(shell pwd):/website" \
		--volume "/website/source/docs/guides" \
		--volume "$(shell pwd)/source/docs/guides/index.html.md:/website/source/docs/guides/index.html.md" \
		-e "ENV=production" \
		hashicorp/middleman-hashicorp:${VERSION} \
		bundle exec middleman build --verbose --clean

website:
	@echo "==> Starting website in Docker..."
	@docker run \
		--interactive \
		--rm \
		--tty \
		--publish "4567:4567" \
		--publish "35729:35729" \
		--volume "$(shell pwd):/website" \
		--volume "/website/source/docs/guides" \
		--volume "$(shell pwd)/source/docs/guides/index.html.md:/website/source/docs/guides/index.html.md" \
		hashicorp/middleman-hashicorp:${VERSION}

.PHONY: build website

=== debian/changelog ===
consul (1.5.2+dfsg2-14) unstable; urgency=medium

  * Disabled "TestKVSEndpoint_ListKeys".

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 03 Jan 2020 08:52:20 +1100

consul (1.5.2+dfsg2-13) unstable; urgency=medium

  * Disabled "TestCatalogConnectServiceNodes_Filter"
  * Un-vendored "golang-github-hashicorp-go-plugin-dev".

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 03 Jan 2020 06:14:06 +1100

consul (1.5.2+dfsg1-12) unstable; urgency=medium

  * Disabled "TestAgent_RegisterCheck_Scripts" due to timeout on armhf.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 28 Dec 2019 11:38:34 +1100

consul (1.5.2+dfsg1-11) unstable; urgency=medium

  * Disabled few more randomly failing tests.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 28 Dec 2019 08:05:37 +1100

consul (1.5.2+dfsg1-10) unstable; urgency=medium

  * Disabled more unreliable tests.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 27 Dec 2019 23:07:59 +1100

consul (1.5.2+dfsg1-9) unstable; urgency=medium

  * rules: ignore test failures on [mipsel,mips64el].
  * Disabled more spontaneously failing tests.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 27 Dec 2019 18:48:08 +1100

consul (1.5.2+dfsg1-8) unstable; urgency=medium

  * Disabled more spontaneously failing tests.
  * Increased test timeout to 8m.
  * Set HOME to "debian/tmp".
  * DH to version 12.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 27 Dec 2019 16:02:14 +1100

consul (1.5.2+dfsg1-7) unstable; urgency=medium

  * Minor example update
  * Disabled more spontaneously failing tests.
  * Removed unused "golang-github-hashicorp-go-reap-dev" from Build-Depends.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 27 Dec 2019 11:13:10 +1100

consul (1.5.2+dfsg1-6) unstable; urgency=medium

  * Disabled "TestLockCommand_ChildExitCode" after spurious failure on
    armel.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 01 Dec 2019 10:53:18 +1100

consul (1.5.2+dfsg1-5) unstable; urgency=medium

  * Disabled more spontaneously failing tests.
  * Increased test timeout to 7m.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 01 Dec 2019 02:37:50 +1100

=== debian/control ===
Source: consul
Section: devel
Priority: optional
Standards-Version: 4.4.1
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
           Martín Ferrari <tincho@debian.org>,
           Tianon Gravi <tianon@debian.org>,
           Tim Potter <tpot@hpe.com>,
Build-Depends: debhelper-compat (= 12) ,bash-completion ,dh-golang (>= 1.42~) ,golang-any (>= 2:1.13~)
    ,golang-github-asaskevich-govalidator-dev
    ,golang-github-armon-circbuf-dev
    ,golang-github-armon-go-metrics-dev (>= 0.0~git20171117~)
    ,golang-github-armon-go-radix-dev
    ,golang-github-azure-go-autorest-dev (>= 10.15.5~)
#   ,golang-github-beorn7-perks-dev
    ,golang-github-bgentry-speakeasy-dev
    ,golang-github-circonus-labs-circonus-gometrics-dev (>= 2.3.1~)
    ,golang-github-circonus-labs-circonusllhist-dev
    ,golang-github-datadog-datadog-go-dev
    ,golang-github-davecgh-go-spew-dev
    ,golang-github-denverdino-aliyungo-dev
    ,golang-github-digitalocean-godo-dev
    ,golang-github-docker-go-connections-dev
    ,golang-github-elazarl-go-bindata-assetfs-dev (>= 0.0~git20151224~)
    ,golang-github-ghodss-yaml-dev
    ,golang-github-gogo-googleapis-dev
    ,golang-github-gogo-protobuf-dev (>= 1.2.1~)
    ,golang-github-golang-snappy-dev
    ,golang-github-googleapis-gnostic-dev
    ,golang-github-google-gofuzz-dev
    ,golang-github-gophercloud-gophercloud-dev
    ,golang-github-gregjones-httpcache-dev
    ,golang-github-hashicorp-go-bexpr-dev
    ,golang-github-hashicorp-go-checkpoint-dev
    ,golang-github-hashicorp-go-cleanhttp-dev (>= 0.5.1~)
    ,golang-github-hashicorp-go-discover-dev
    ,golang-github-hashicorp-go-hclog-dev (>= 0.9.2~)
    ,golang-github-hashicorp-go-immutable-radix-dev (>= 1.1.0~)
    ,golang-github-hashicorp-golang-lru-dev (>= 0.0~git20160207~)
    ,golang-github-hashicorp-go-memdb-dev (>= 0.0~git20180224~)
    ,golang-github-hashicorp-go-msgpack-dev (>= 0.5.5~)
    ,golang-github-hashicorp-go-multierror-dev
    ,golang-github-hashicorp-go-plugin-dev (>= 1.0.1~)
    ,golang-github-hashicorp-go-raftchunking-dev
    ,golang-github-hashicorp-go-retryablehttp-dev
    ,golang-github-hashicorp-go-rootcerts-dev
    ,golang-github-hashicorp-go-sockaddr-dev
    ,golang-github-hashicorp-go-syslog-dev
    ,golang-github-hashicorp-go-uuid-dev
    ,golang-github-hashicorp-go-version-dev
    ,golang-github-hashicorp-hcl-dev
    ,golang-github-hashicorp-hil-dev (>= 0.0~git20160711~)
    ,golang-github-hashicorp-logutils-dev
    ,golang-github-hashicorp-memberlist-dev (>= 0.1.5~)
    ,golang-github-hashicorp-net-rpc-msgpackrpc-dev
    ,golang-github-hashicorp-raft-boltdb-dev
    ,golang-github-hashicorp-raft-dev (>= 1.1.1~)
    ,golang-github-hashicorp-scada-client-dev
    ,golang-github-hashicorp-serf-dev (>= 0.8.4~)
    ,golang-github-hashicorp-yamux-dev (>= 0.0~git20151129~)
    ,golang-github-inconshreveable-muxado-dev
    ,golang-github-imdario-mergo-dev
    ,golang-github-jefferai-jsonx-dev
    ,golang-github-json-iterator-go-dev
    ,golang-github-kr-text-dev
    ,golang-github-mattn-go-isatty-dev
    ,golang-github-miekg-dns-dev
    ,golang-github-mitchellh-cli-dev (>= 1.0.0~)
    ,golang-github-mitchellh-go-testing-interface-dev
    ,golang-github-mitchellh-copystructure-dev
    ,golang-github-mitchellh-hashstructure-dev
    ,golang-github-mitchellh-mapstructure-dev
    ,golang-github-mitchellh-reflectwalk-dev
    ,golang-github-nytimes-gziphandler-dev
    ,golang-github-packethost-packngo-dev
    ,golang-github-pascaldekloe-goe-dev
    ,golang-github-peterbourgon-diskv-dev
    ,golang-github-pmezard-go-difflib-dev
    ,golang-github-ryanuber-columnize-dev
    ,golang-github-ryanuber-go-glob-dev
    ,golang-github-shirou-gopsutil-dev
    ,golang-github-spf13-pflag-dev
    ,golang-golang-x-sys-dev (>= 0.0~git20161012~)
    ,golang-gopkg-inf.v0-dev
    ,golang-gopkg-square-go-jose.v2-dev
    ,mockery
# tests:
    ,golang-github-sap-go-hdb-dev
Homepage: https://github.com/hashicorp/consul
Vcs-Browser: https://salsa.debian.org/go-team/packages/consul
Vcs-Git: https://salsa.debian.org/go-team/packages/consul.git
XS-Go-Import-Path: github.com/hashicorp/consul
Testsuite: autopkgtest-pkg-go

Package: golang-github-hashicorp-consul-dev
Architecture: all
Depends: ${misc:Depends}
    ,golang-github-armon-go-metrics-dev (>= 0.0~git20171117~)
    ,golang-github-armon-go-radix-dev
    ,golang-github-hashicorp-go-bexpr-dev
    ,golang-github-hashicorp-go-cleanhttp-dev (>= 0.5.1~)
    ,golang-github-hashicorp-go-hclog-dev (>= 0.9.2~)
    ,golang-github-hashicorp-golang-lru-dev (>= 0.0~git20160207~)
    ,golang-github-hashicorp-go-memdb-dev
    ,golang-github-hashicorp-go-msgpack-dev (>= 0.5.5~)
    ,golang-github-hashicorp-go-rootcerts-dev
    ,golang-github-hashicorp-go-uuid-dev
    ,golang-github-hashicorp-hcl-dev
    ,golang-github-hashicorp-hil-dev (>= 0.0~git20160711~)
    ,golang-github-hashicorp-memberlist-dev (>= 0.1.5~)
    ,golang-github-hashicorp-go-plugin-dev (>= 1.0.1~)
    ,golang-github-hashicorp-raft-boltdb-dev
    ,golang-github-hashicorp-raft-dev (>= 1.1.1~)
    ,golang-github-hashicorp-serf-dev (>= 0.8.4~)
    ,golang-github-hashicorp-yamux-dev (>= 0.0~git20151129~)
    ,golang-github-inconshreveable-muxado-dev
    ,golang-github-miekg-dns-dev
    ,golang-github-mitchellh-cli-dev (>= 1.0.0~)
    ,golang-github-mitchellh-copystructure-dev
    ,golang-github-pascaldekloe-goe-dev
    ,golang-golang-x-sys-dev (>= 0.0~git20161012~)
Description: tool for service discovery, monitoring and configuration (source)
 Consul is a tool for service discovery and configuration. Consul is
 distributed, highly available, and extremely scalable.
 .
 Consul provides several key features:
 .
  - Service Discovery - Consul makes it simple for services to register
    themselves and to discover other services via a DNS or HTTP interface.
    External services such as SaaS providers can be registered as well.
 .
  - Health Checking - Health Checking enables Consul to quickly alert operators
    about any issues in a cluster. The integration with service discovery
    prevents routing traffic to unhealthy hosts and enables service level
    circuit breakers.
 .
  - Key/Value Storage - A flexible key/value store enables storing dynamic
    configuration, feature flagging, coordination, leader election and more.
    The simple HTTP API makes it easy to use anywhere.
 .
  - Multi-Datacenter - Consul is built to be datacenter aware, and can support
    any number of regions without complex configuration.
 .
 Consul runs on Linux, Mac OS X, and Windows. It is recommended to run the
 Consul servers only on Linux, however.
 .
 This package contains the source.

Package: consul
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends}, ${shlibs:Depends}
    ,adduser
    ,pipexec
    ,procps
Description: tool for service discovery, monitoring and configuration
 Consul is a tool for service discovery and configuration. Consul is
 distributed, highly available, and extremely scalable.
 .
 Consul provides several key features:
 .
  - Service Discovery - Consul makes it simple for services to register
    themselves and to discover other services via a DNS or HTTP interface.
    External services such as SaaS providers can be registered as well.
 .
  - Health Checking - Health Checking enables Consul to quickly alert operators
    about any issues in a cluster. The integration with service discovery
    prevents routing traffic to unhealthy hosts and enables service level
    circuit breakers.
 .
  - Key/Value Storage - A flexible key/value store enables storing dynamic
    configuration, feature flagging, coordination, leader election and more.
    The simple HTTP API makes it easy to use anywhere.
 .
  - Multi-Datacenter - Consul is built to be datacenter aware, and can support
    any number of regions without complex configuration.
 .
 Consul runs on Linux, Mac OS X, and Windows. It is recommended to run the
 Consul servers only on Linux, however.

=== debian/rules ===
#!/usr/bin/make -f

## needs "mockery":
export DH_GOLANG_GO_GENERATE := 1

export DH_GOLANG_INSTALL_EXTRA := \
    command/connect/ca/set/test-fixtures \
    test

export DH_GOLANG_EXCLUDES := test/integration

export HOME=$(CURDIR)/debian/tmp

ifneq (,$(filter $(DEB_BUILD_ARCH), mipsel mips64el))
    MINUS:=-
endif

%:
	dh $@ --buildsystem=golang --with=golang,bash-completion --builddirectory=_build

override_dh_clean:
	dh_clean
	## Remove Files-Excluded (when built from checkout or non-DFSG tarball):
	$(RM) -rv `perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' debian/copyright`
#	-find . -type f -name '*.pb.go' -delete -printf 'removed %p\n'            ## delete generated .pb.go files
	-find vendor -type d -empty -delete -print
	$(RM) -r test/integration

override_dh_auto_configure:
	dh_auto_configure
	
	mkdir -v -p _build/src/github.com/keybase/
	ln -sv /usr/share/gocode/src/golang.org/x/crypto  _build/src/github.com/keybase/go-crypto
	
	mkdir -v -p _build/src/github.com/SermoDigital/
	ln -sv /usr/share/gocode/src/gopkg.in/square/go-jose.v1  _build/src/github.com/SermoDigital/jose

LIBSELF:=github.com/hashicorp/consul
override_dh_auto_build:
#	## https://salsa.debian.org/onlyjob/notes/wikis/golang
#	## "go generate" in "vendor":
#	DH_GOLANG_EXCLUDES="vendor/github.com/hashicorp/go-discover vendor/github.com/hashicorp/vault vendor/github.com/jefferai/jsonx" \
#	DH_GOPKG="$(LIBSELF)/vendor" \
#	DH_GOLANG_GO_GENERATE=1 \
#	dh_auto_build -v
#	
	export GOPATH=$(CURDIR)/_build \
        && $(MAKE) -C _build/src/$(LIBSELF) --makefile=$(CURDIR)/GNUmakefile proto
	
	dh_auto_build -v

## Quoting upstream as per ".github/CONTRIBUTING.md":
## > The test suite may fail if over-parallelized, so if you are seeing
## > stochastic failures try `GOTEST_FLAGS="-p 2 -parallel 2".
## Note that "--max-parallel=2" translates to "-p 2" which is not the same as "-parallel 2".
override_dh_auto_test:
	$(MINUS)PATH="$(CURDIR)/_build/bin:$${PATH}" \
        DH_GOLANG_EXCLUDES="${DH_GOLANG_EXCLUDES} api agent/cache agent/checks agent/connect agent/consul command/tls" \
        dh_auto_test -v --max-parallel=4 -- -short -failfast -timeout 8m

override_dh_install:
	## Do not install "github.com/hashicorp/consul/vendor" to -dev package.
	dh_install  -X/src/github.com/hashicorp/consul/vendor  -Xcertgen

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start

override_dh_installinit:
	dh_installinit --no-enable --no-start

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repacksuffix=+dfsg2,\
repack,compression=xz,\
dversionmangle=s{[~+](?:ds|dfsg)\d*$}{},\
"  https://github.com/hashicorp/consul/releases?after=v1.5.3 \
   .*/archive/v?(\d[\d.]+)\.tar\.gz

## consul 1.7.0+dfsg1

=== website/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION?="0.3.40"
+VERSION?="0.3.41"
 
 # The volume mounting steps are a way to exclude all the consul docs from being built
 # in the Consul site build process while still including the index.html page that points

=== debian/changelog ===
consul (1.7.0+dfsg1-2) unstable; urgency=medium

  * Excluded few unreliable tests.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 24 Feb 2020 11:21:58 +1100

consul (1.7.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    + fixed CVE-2020-7219
    + fixed CVE-2020-7955
  * Build-Depends:
    + golang-github-pierrec-lz4-dev
    = golang-github-hashicorp-go-rootcerts-dev (>= 1.0.2~)
    = golang-github-miekg-dns-dev (>= 1.1.26~)
  * Use bundled "github.com/aws/aws-sdk-go".

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 20 Feb 2020 09:22:11 +1100

=== debian/control ===
--- 
+++ 
@@ -44,7 +44,7 @@
     ,golang-github-hashicorp-go-plugin-dev (>= 1.0.1~)
     ,golang-github-hashicorp-go-raftchunking-dev
     ,golang-github-hashicorp-go-retryablehttp-dev
-    ,golang-github-hashicorp-go-rootcerts-dev
+    ,golang-github-hashicorp-go-rootcerts-dev (>= 1.0.2~)
     ,golang-github-hashicorp-go-sockaddr-dev
     ,golang-github-hashicorp-go-syslog-dev
     ,golang-github-hashicorp-go-uuid-dev
@@ -55,7 +55,7 @@
     ,golang-github-hashicorp-memberlist-dev (>= 0.1.5~)
     ,golang-github-hashicorp-net-rpc-msgpackrpc-dev
     ,golang-github-hashicorp-raft-boltdb-dev
-    ,golang-github-hashicorp-raft-dev (>= 1.1.1~)
+    ,golang-github-hashicorp-raft-dev (>= 1.1.2~)
     ,golang-github-hashicorp-scada-client-dev
     ,golang-github-hashicorp-serf-dev (>= 0.8.4~)
     ,golang-github-hashicorp-yamux-dev (>= 0.0~git20151129~)
@@ -65,7 +65,7 @@
     ,golang-github-json-iterator-go-dev
     ,golang-github-kr-text-dev
     ,golang-github-mattn-go-isatty-dev
-    ,golang-github-miekg-dns-dev
+    ,golang-github-miekg-dns-dev (>= 1.1.26~)
     ,golang-github-mitchellh-cli-dev (>= 1.0.0~)
     ,golang-github-mitchellh-go-testing-interface-dev
     ,golang-github-mitchellh-copystructure-dev
@@ -76,6 +76,7 @@
     ,golang-github-packethost-packngo-dev
     ,golang-github-pascaldekloe-goe-dev
     ,golang-github-peterbourgon-diskv-dev
+    ,golang-github-pierrec-lz4-dev
     ,golang-github-pmezard-go-difflib-dev
     ,golang-github-ryanuber-columnize-dev
     ,golang-github-ryanuber-go-glob-dev
@@ -104,18 +105,18 @@
     ,golang-github-hashicorp-golang-lru-dev (>= 0.0~git20160207~)
     ,golang-github-hashicorp-go-memdb-dev
     ,golang-github-hashicorp-go-msgpack-dev (>= 0.5.5~)
-    ,golang-github-hashicorp-go-rootcerts-dev
+    ,golang-github-hashicorp-go-rootcerts-dev (>= 1.0.2~)
     ,golang-github-hashicorp-go-uuid-dev
     ,golang-github-hashicorp-hcl-dev
     ,golang-github-hashicorp-hil-dev (>= 0.0~git20160711~)
     ,golang-github-hashicorp-memberlist-dev (>= 0.1.5~)
     ,golang-github-hashicorp-go-plugin-dev (>= 1.0.1~)
     ,golang-github-hashicorp-raft-boltdb-dev
-    ,golang-github-hashicorp-raft-dev (>= 1.1.1~)
+    ,golang-github-hashicorp-raft-dev (>= 1.1.2~)
     ,golang-github-hashicorp-serf-dev (>= 0.8.4~)
     ,golang-github-hashicorp-yamux-dev (>= 0.0~git20151129~)
     ,golang-github-inconshreveable-muxado-dev
-    ,golang-github-miekg-dns-dev
+    ,golang-github-miekg-dns-dev (>= 1.1.26~)
     ,golang-github-mitchellh-cli-dev (>= 1.0.0~)
     ,golang-github-mitchellh-copystructure-dev
     ,golang-github-pascaldekloe-goe-dev

=== debian/rules ===
--- 
+++ 
@@ -55,7 +55,7 @@
 ## Note that "--max-parallel=2" translates to "-p 2" which is not the same as "-parallel 2".
 override_dh_auto_test:
 	$(MINUS)PATH="$(CURDIR)/_build/bin:$${PATH}" \
-        DH_GOLANG_EXCLUDES="${DH_GOLANG_EXCLUDES} api agent/cache agent/checks agent/connect agent/consul command/tls" \
+        DH_GOLANG_EXCLUDES="${DH_GOLANG_EXCLUDES} api agent/cache agent/checks agent/connect agent/consul agent/proxycfg command/tls" \
         dh_auto_test -v --max-parallel=4 -- -short -failfast -timeout 8m
 
 override_dh_install:

## consul 1.7.2+dfsg1

=== debian/changelog ===
consul (1.7.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.5.0.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 10 Apr 2020 11:37:13 +1000

consul (1.7.1+dfsg1-2) unstable; urgency=medium

  * Disabled failing "TestTakeReturn" (Closes: #954712).
  * Disabled few more spontaneously failing tests.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 26 Mar 2020 20:56:59 +1100

consul (1.7.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Disabled broken/unhelpful "autopkgtest-pkg-go" testsuite.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 26 Feb 2020 16:41:40 +1100

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 export DH_GOLANG_INSTALL_EXTRA := \
     command/connect/ca/set/test-fixtures \
+    build-support/scripts/proto-gen.sh \
     test
 
 export DH_GOLANG_EXCLUDES := test/integration

## consul 1.7.3+dfsg1

=== website/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION?="0.3.41"
+VERSION?="0.3.43"
 
 # The volume mounting steps are a way to exclude all the consul docs from being built
 # in the Consul site build process while still including the index.html page that points

=== debian/changelog ===
consul (1.7.3+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Disabled unreliable "TestAgent_ServiceHTTPChecksNotification".

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 17 May 2020 21:41:36 +1000

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,12 @@
 ## needs "mockery":
 export DH_GOLANG_GO_GENERATE := 1
 
+#~export GOPROXY=off
+#~export GO111MODULE=off
+
 export DH_GOLANG_INSTALL_EXTRA := \
     command/connect/ca/set/test-fixtures \
+    build-support/scripts/functions.sh \
     build-support/scripts/proto-gen.sh \
     test

## consul 1.7.4+dfsg1

=== debian/changelog ===
consul (1.7.4+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Excluded "command/debug" from testing (test runs too long on armhf).

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 11 Jun 2020 15:43:28 +1000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: consul
 Section: devel
 Priority: optional
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
            Martín Ferrari <tincho@debian.org>,
@@ -92,7 +92,7 @@
 Vcs-Browser: https://salsa.debian.org/go-team/packages/consul
 Vcs-Git: https://salsa.debian.org/go-team/packages/consul.git
 XS-Go-Import-Path: github.com/hashicorp/consul
-Testsuite: autopkgtest-pkg-go
+#Testsuite: autopkgtest-pkg-go
 
 Package: golang-github-hashicorp-consul-dev
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 
 export DH_GOLANG_INSTALL_EXTRA := \
     command/connect/ca/set/test-fixtures \
+    build-support/functions \
     build-support/scripts/functions.sh \
     build-support/scripts/proto-gen.sh \
     test
@@ -60,7 +61,7 @@
 ## Note that "--max-parallel=2" translates to "-p 2" which is not the same as "-parallel 2".
 override_dh_auto_test:
 	$(MINUS)PATH="$(CURDIR)/_build/bin:$${PATH}" \
-        DH_GOLANG_EXCLUDES="${DH_GOLANG_EXCLUDES} api agent/cache agent/checks agent/connect agent/consul agent/proxycfg command/tls" \
+        DH_GOLANG_EXCLUDES="${DH_GOLANG_EXCLUDES} api agent/cache agent/checks agent/connect agent/consul agent/proxycfg command/debug command/tls" \
         dh_auto_test -v --max-parallel=4 -- -short -failfast -timeout 8m
 
 override_dh_install:

## consul 1.8.6+dfsg1

=== debian/changelog ===
consul (1.8.6+dfsg1-1) unstable; urgency=medium

  [ Dmitry Smirnov ]
  * New upstream release.
  * Build-Depends:
    + golang-github-coreos-go-oidc-dev
    + golang-github-patrickmn-go-cache-dev
    + golang-golang-x-time-dev (>= 0.0+git20200630~)
    = golang-github-hashicorp-go-memdb-dev (>= 1.2.1~)
    = golang-github-hashicorp-memberlist-dev (>= 0.2.2~)
    = golang-github-hashicorp-serf-dev (>= 0.9.4~)
    = golang-github-mitchellh-cli-dev (>= 1.1.1~)
    = golang-github-mitchellh-go-testing-interface-dev (>= 1.14.1~)
    + procps
  * fixed hclog-related FTBFS (Closes: #964873).

  [ Arnaud Rebillout ]
  * New upstream release [1.8.6] (Closes: #975584).
  * Update patches
  * Add upstream git details, feed it to the build command

 -- Arnaud Rebillout <elboulangero@gmail.com>  Thu, 03 Dec 2020 14:22:00 +0700

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
     ,golang-github-bgentry-speakeasy-dev
     ,golang-github-circonus-labs-circonus-gometrics-dev (>= 2.3.1~)
     ,golang-github-circonus-labs-circonusllhist-dev
+    ,golang-github-coreos-go-oidc-dev
     ,golang-github-datadog-datadog-go-dev
     ,golang-github-davecgh-go-spew-dev
     ,golang-github-denverdino-aliyungo-dev
@@ -38,7 +39,7 @@
     ,golang-github-hashicorp-go-hclog-dev (>= 0.9.2~)
     ,golang-github-hashicorp-go-immutable-radix-dev (>= 1.1.0~)
     ,golang-github-hashicorp-golang-lru-dev (>= 0.0~git20160207~)
-    ,golang-github-hashicorp-go-memdb-dev (>= 0.0~git20180224~)
+    ,golang-github-hashicorp-go-memdb-dev (>= 1.2.1~)
     ,golang-github-hashicorp-go-msgpack-dev (>= 0.5.5~)
     ,golang-github-hashicorp-go-multierror-dev
     ,golang-github-hashicorp-go-plugin-dev (>= 1.0.1~)
@@ -52,12 +53,12 @@
     ,golang-github-hashicorp-hcl-dev
     ,golang-github-hashicorp-hil-dev (>= 0.0~git20160711~)
     ,golang-github-hashicorp-logutils-dev
-    ,golang-github-hashicorp-memberlist-dev (>= 0.1.5~)
+    ,golang-github-hashicorp-memberlist-dev (>= 0.2.2~)
     ,golang-github-hashicorp-net-rpc-msgpackrpc-dev
     ,golang-github-hashicorp-raft-boltdb-dev
     ,golang-github-hashicorp-raft-dev (>= 1.1.2~)
     ,golang-github-hashicorp-scada-client-dev
-    ,golang-github-hashicorp-serf-dev (>= 0.8.4~)
+    ,golang-github-hashicorp-serf-dev (>= 0.9.4~)
     ,golang-github-hashicorp-yamux-dev (>= 0.0~git20151129~)
     ,golang-github-inconshreveable-muxado-dev
     ,golang-github-imdario-mergo-dev
@@ -66,8 +67,8 @@
     ,golang-github-kr-text-dev
     ,golang-github-mattn-go-isatty-dev
     ,golang-github-miekg-dns-dev (>= 1.1.26~)
-    ,golang-github-mitchellh-cli-dev (>= 1.0.0~)
-    ,golang-github-mitchellh-go-testing-interface-dev
+    ,golang-github-mitchellh-cli-dev (>= 1.1.1~)
+    ,golang-github-mitchellh-go-testing-interface-dev (>= 1.14.1~)
     ,golang-github-mitchellh-copystructure-dev
     ,golang-github-mitchellh-hashstructure-dev
     ,golang-github-mitchellh-mapstructure-dev
@@ -75,6 +76,7 @@
     ,golang-github-nytimes-gziphandler-dev
     ,golang-github-packethost-packngo-dev
     ,golang-github-pascaldekloe-goe-dev
+    ,golang-github-patrickmn-go-cache-dev
     ,golang-github-peterbourgon-diskv-dev
     ,golang-github-pierrec-lz4-dev
     ,golang-github-pmezard-go-difflib-dev
@@ -83,11 +85,13 @@
     ,golang-github-shirou-gopsutil-dev
     ,golang-github-spf13-pflag-dev
     ,golang-golang-x-sys-dev (>= 0.0~git20161012~)
+    ,golang-golang-x-time-dev (>= 0.0+git20200630~)
     ,golang-gopkg-inf.v0-dev
     ,golang-gopkg-square-go-jose.v2-dev
     ,mockery
 # tests:
     ,golang-github-sap-go-hdb-dev
+    ,procps
 Homepage: https://github.com/hashicorp/consul
 Vcs-Browser: https://salsa.debian.org/go-team/packages/consul
 Vcs-Git: https://salsa.debian.org/go-team/packages/consul.git
@@ -113,11 +117,11 @@
     ,golang-github-hashicorp-go-plugin-dev (>= 1.0.1~)
     ,golang-github-hashicorp-raft-boltdb-dev
     ,golang-github-hashicorp-raft-dev (>= 1.1.2~)
-    ,golang-github-hashicorp-serf-dev (>= 0.8.4~)
+    ,golang-github-hashicorp-serf-dev (>= 0.9.4~)
     ,golang-github-hashicorp-yamux-dev (>= 0.0~git20151129~)
     ,golang-github-inconshreveable-muxado-dev
     ,golang-github-miekg-dns-dev (>= 1.1.26~)
-    ,golang-github-mitchellh-cli-dev (>= 1.0.0~)
+    ,golang-github-mitchellh-cli-dev (>= 1.1.1~)
     ,golang-github-mitchellh-copystructure-dev
     ,golang-github-pascaldekloe-goe-dev
     ,golang-golang-x-sys-dev (>= 0.0~git20161012~)

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,12 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/default.mk
 
 ## needs "mockery":
 export DH_GOLANG_GO_GENERATE := 1
 
-#~export GOPROXY=off
-#~export GO111MODULE=off
+export GOPROXY=off
+export GO111MODULE=off
 
 export DH_GOLANG_INSTALL_EXTRA := \
     command/connect/ca/set/test-fixtures \
@@ -19,6 +21,15 @@
 
 ifneq (,$(filter $(DEB_BUILD_ARCH), mipsel mips64el))
     MINUS:=-
+endif
+
+GIT_COMMIT      := $(shell debian/upstream-git.sh commit $(DEB_VERSION_UPSTREAM))
+GIT_COMMIT_YEAR := $(shell debian/upstream-git.sh year   $(DEB_VERSION_UPSTREAM))
+ifndef GIT_COMMIT
+  $(error Missing GIT_COMMIT - see debian/upstream-git.sh)
+endif
+ifndef GIT_COMMIT_YEAR
+  $(error Missing GIT_COMMIT_YEAR - see debian/upstream-git.sh)
 endif
 
 %:
@@ -51,7 +62,7 @@
 #	dh_auto_build -v
 #	
 	export GOPATH=$(CURDIR)/_build \
-        && $(MAKE) -C _build/src/$(LIBSELF) --makefile=$(CURDIR)/GNUmakefile proto
+        && $(MAKE) GIT_COMMIT=$(GIT_COMMIT) GIT_COMMIT_YEAR=$(GIT_COMMIT_YEAR) -C _build/src/$(LIBSELF) --makefile=$(CURDIR)/GNUmakefile proto
 	
 	dh_auto_build -v
 
@@ -61,7 +72,7 @@
 ## Note that "--max-parallel=2" translates to "-p 2" which is not the same as "-parallel 2".
 override_dh_auto_test:
 	$(MINUS)PATH="$(CURDIR)/_build/bin:$${PATH}" \
-        DH_GOLANG_EXCLUDES="${DH_GOLANG_EXCLUDES} api agent/cache agent/checks agent/connect agent/consul agent/proxycfg command/debug command/tls" \
+        DH_GOLANG_EXCLUDES="${DH_GOLANG_EXCLUDES} api agent/cache agent/checks agent/connect agent/consul agent/proxycfg agent/routine-leak-checker command/debug command/tls command/flags command/monitor" \
         dh_auto_test -v --max-parallel=4 -- -short -failfast -timeout 8m
 
 override_dh_install:

## consul 1.8.7%2Bdfsg1

=== debian/changelog ===
consul (1.8.7+dfsg1-3) unstable; urgency=medium

  * Team upload.

  [ Lucas Kanashiro ]
  * Add upstream patch to fix FTBFS (Closes: #997133)

  [ Reinhard Tartler ]
  * Do install "github.com/hashicorp/consul/vendor" into dev package

 -- Lucas Kanashiro <kanashiro@debian.org>  Tue, 09 Nov 2021 11:44:58 -0300

consul (1.8.7+dfsg1-2) unstable; urgency=medium

  * Add patch for CVE-2020-25864 (Closes: #987351)

 -- Valentin Vidic <vvidic@debian.org>  Sat, 24 Apr 2021 12:06:56 +0200

consul (1.8.7+dfsg1-1) unstable; urgency=medium

  [ Arnaud Rebillout ]
  * New upstream release [1.8.7].
  * Drop obsolete Build-Depends and Files-Excluded, per uscan
  * Rework Build-Depends and Files-Excluded
  * Drop a few more Build-Depends
  * Drop aws-sdk vendoring
  * Drop custom dh_configure target
  * Cleanup obsolete patches
  * Add lintian-overrides for consul (field-too-long Built-Using)
  * Tidy up debian/copyright a bit
  * Adjust sections, consul -> 'admin', -dev -> 'golang'
  * Drop obsolete Build-Depends requirements
  * Bump Standards-Version

  [ Dmitry Smirnov ]
  * Disabled unreliable "TestCacheRateLimit".

  [ Arnaud Rebillout ]
  * Fix patch regarding "TestCacheRateLimit"
  * Revert "Add upstream git details, feed it to the build command"
  * Set git commit and git commit year from debian pkg info

 -- Arnaud Rebillout <elboulangero@gmail.com>  Sun, 10 Jan 2021 22:37:17 +0700

## consul 1.8.7+dfsg1

=== bench/Makefile ===
REQ=262144
CLIENTS=64
ADDR=http://127.0.0.1:8500/v1/kv/bench
DATA="74a31e96-1d0f-4fa7-aa14-7212a326986e"
MAXPROCS=4

all: put get-default get-stale get-consistent

put:
	@echo "===== PUT test ====="
	GOMAXPROCS=${MAXPROCS} boom -m PUT -d ${DATA} -n ${REQ} -c ${CLIENTS} ${ADDR}

get-default:
	@echo "===== GET default test ====="
	GOMAXPROCS=${MAXPROCS} boom -n ${REQ} -c ${CLIENTS} ${ADDR}

get-stale:
	@echo "===== GET stale test ====="
	GOMAXPROCS=${MAXPROCS} boom -n ${REQ} -c ${CLIENTS} ${ADDR}?stale

get-consistent:
	@echo "===== GET consistent test ====="
	GOMAXPROCS=${MAXPROCS} boom -n ${REQ} -c ${CLIENTS} ${ADDR}?consistent

=== website/Makefile ===
# Default: run this if working on the website locally to run in watch mode.
website:
	@echo "==> Downloading latest Docker image..."
	@docker pull hashicorp/consul-website
	@echo "==> Starting website in Docker..."
	@docker run \
		--interactive \
		--rm \
		--tty \
		--workdir "/website" \
		--volume "$(shell pwd):/website" \
		--volume "/website/node_modules" \
		--publish "3000:3000" \
		hashicorp/consul-website \
		npm start

# This command will generate a static version of the website to the "out" folder.
build:
	@echo "==> Downloading latest Docker image..."
	@docker pull hashicorp/consul-website
	@echo "==> Starting build in Docker..."
	@docker run \
		--interactive \
		--rm \
		--tty \
		--workdir "/website" \
		--volume "$(shell pwd):/website" \
		--volume "/website/node_modules" \
		hashicorp/consul-website \
		npm run static

# If you are changing node dependencies locally, run this to generate a new
# local Docker image with the dependency changes included.
build-image:
	@echo "==> Building Docker image..."
	@docker build -t hashicorp-consul-website-local .

# Use this if you have run `build-image` to use the locally built image
# rather than our CI-generated image to test dependency changes.
website-local:
	@echo "==> Starting website in Docker..."
	@docker run \
		--interactive \
		--rm \
		--tty \
		--workdir "/website" \
		--volume "$(shell pwd):/website" \
		--volume "/website/node_modules" \
		--publish "3000:3000" \
		hashicorp-consul-website-local \
		npm start

.DEFAULT_GOAL := website
.PHONY: build build-image website website-local

=== vendor/github.com/linode/linodego/Makefile ===
include .env

.PHONY: vendor example refresh-fixtures clean-fixtures

.PHONY: test
test: vendor
	@LINODE_FIXTURE_MODE="play" \
	LINODE_TOKEN="awesometokenawesometokenawesometoken" \
	go test $(ARGS)

$(GOPATH)/bin/dep:
	@go get -u github.com/golang/dep/cmd/dep

vendor: $(GOPATH)/bin/dep
	@dep ensure

example:
	@go run example/main.go

clean-fixtures:
	@-rm fixtures/*.yaml

refresh-fixtures: clean-fixtures fixtures

.PHONY: fixtures
fixtures:
	@echo "* Running fixtures"
	@LINODE_TOKEN=$(LINODE_TOKEN) \
	LINODE_FIXTURE_MODE="record" go test $(ARGS)
	@echo "* Santizing fixtures"
	@for yaml in fixtures/*yaml; do \
		sed -E -i "" -e "s/$(LINODE_TOKEN)/awesometokenawesometokenawesometoken/g" \
			-e 's/20[0-9]{2}-[01][0-9]-[0-3][0-9]T[0-2][0-9]:[0-9]{2}:[0-9]{2}/2018-01-02T03:04:05/g' \
			-e 's/nb-[0-9]{1,3}-[0-9]{1,3}-[0-9]{1,3}-[0-9]{1,3}\./nb-10-20-30-40./g' \
			-e 's/192\.168\.((1?[0-9][0-9]?|2[0-4][0-9]|25[0-5])\.)(1?[0-9][0-9]?|2[0-4][0-9]|25[0-5])/192.168.030.040/g' \
			-e '/^192\.168/!s/((1?[0-9][0-9]?|2[0-4][0-9]|25[0-5])\.){3}(1?[0-9][0-9]?|2[0-4][0-9]|25[0-5])/10.20.30.40/g' \
			-e 's/(([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,5}(:[0-9a-fA-F]{1,4}){1,2}|([0-9a-fA-F]{1,4}:){1,4}(:[0-9a-fA-F]{1,4}){1,3}|([0-9a-fA-F]{1,4}:){1,3}(:[0-9a-fA-F]{1,4}){1,4}|([0-9a-fA-F]{1,4}:){1,2}(:[0-9a-fA-F]{1,4}){1,5}|[0-9a-fA-F]{1,4}:((:[0-9a-fA-F]{1,4}){1,6})|:((:[0-9a-fA-F]{1,4}){1,7}|:)|fe80:(:[0-9a-fA-F]{0,4}){0,4}%[0-9a-zA-Z]{1,}|::(ffff(:0{1,4}){0,1}:){0,1}((25[0-5]|(2[0-4]|1{0,1}[0-9]){0,1}[0-9])\.){3,3}(25[0-5]|(2[0-4]|1{0,1}[0-9]){0,1}[0-9])|([0-9a-fA-F]{1,4}:){1,4}:((25[0-5]|(2[0-4]|1{0,1}[0-9]){0,1}[0-9])\.){3,3}(25[0-5]|(2[0-4]|1{0,1}[0-9]){0,1}[0-9]))/1234::5678/g' \
			$$yaml; \
	done

.PHONY: godoc
godoc:
	@godoc -http=:6060

=== debian/control ===
--- 
+++ 
@@ -1,48 +1,44 @@
 Source: consul
-Section: devel
+Section: admin
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
            Martín Ferrari <tincho@debian.org>,
            Tianon Gravi <tianon@debian.org>,
            Tim Potter <tpot@hpe.com>,
 Build-Depends: debhelper-compat (= 12) ,bash-completion ,dh-golang (>= 1.42~) ,golang-any (>= 2:1.13~)
-    ,golang-github-asaskevich-govalidator-dev
     ,golang-github-armon-circbuf-dev
     ,golang-github-armon-go-metrics-dev (>= 0.0~git20171117~)
     ,golang-github-armon-go-radix-dev
+    ,golang-github-aws-aws-sdk-go-dev
     ,golang-github-azure-go-autorest-dev (>= 10.15.5~)
 #   ,golang-github-beorn7-perks-dev
     ,golang-github-bgentry-speakeasy-dev
+    ,golang-github-census-instrumentation-opencensus-proto-dev
     ,golang-github-circonus-labs-circonus-gometrics-dev (>= 2.3.1~)
     ,golang-github-circonus-labs-circonusllhist-dev
     ,golang-github-coreos-go-oidc-dev
     ,golang-github-datadog-datadog-go-dev
     ,golang-github-davecgh-go-spew-dev
     ,golang-github-denverdino-aliyungo-dev
-    ,golang-github-digitalocean-godo-dev
     ,golang-github-docker-go-connections-dev
-    ,golang-github-elazarl-go-bindata-assetfs-dev (>= 0.0~git20151224~)
-    ,golang-github-ghodss-yaml-dev
-    ,golang-github-gogo-googleapis-dev
+    ,golang-github-elazarl-go-bindata-assetfs-dev
     ,golang-github-gogo-protobuf-dev (>= 1.2.1~)
     ,golang-github-golang-snappy-dev
     ,golang-github-googleapis-gnostic-dev
     ,golang-github-google-gofuzz-dev
     ,golang-github-gophercloud-gophercloud-dev
-    ,golang-github-gregjones-httpcache-dev
     ,golang-github-hashicorp-go-bexpr-dev
     ,golang-github-hashicorp-go-checkpoint-dev
     ,golang-github-hashicorp-go-cleanhttp-dev (>= 0.5.1~)
     ,golang-github-hashicorp-go-discover-dev
     ,golang-github-hashicorp-go-hclog-dev (>= 0.9.2~)
     ,golang-github-hashicorp-go-immutable-radix-dev (>= 1.1.0~)
-    ,golang-github-hashicorp-golang-lru-dev (>= 0.0~git20160207~)
+    ,golang-github-hashicorp-golang-lru-dev
     ,golang-github-hashicorp-go-memdb-dev (>= 1.2.1~)
     ,golang-github-hashicorp-go-msgpack-dev (>= 0.5.5~)
     ,golang-github-hashicorp-go-multierror-dev
-    ,golang-github-hashicorp-go-plugin-dev (>= 1.0.1~)
     ,golang-github-hashicorp-go-raftchunking-dev
     ,golang-github-hashicorp-go-retryablehttp-dev
     ,golang-github-hashicorp-go-rootcerts-dev (>= 1.0.2~)
@@ -52,17 +48,13 @@
     ,golang-github-hashicorp-go-version-dev
     ,golang-github-hashicorp-hcl-dev
     ,golang-github-hashicorp-hil-dev (>= 0.0~git20160711~)
-    ,golang-github-hashicorp-logutils-dev
     ,golang-github-hashicorp-memberlist-dev (>= 0.2.2~)
     ,golang-github-hashicorp-net-rpc-msgpackrpc-dev
     ,golang-github-hashicorp-raft-boltdb-dev
     ,golang-github-hashicorp-raft-dev (>= 1.1.2~)
-    ,golang-github-hashicorp-scada-client-dev
     ,golang-github-hashicorp-serf-dev (>= 0.9.4~)
-    ,golang-github-hashicorp-yamux-dev (>= 0.0~git20151129~)
-    ,golang-github-inconshreveable-muxado-dev
+    ,golang-github-hashicorp-yamux-dev
     ,golang-github-imdario-mergo-dev
-    ,golang-github-jefferai-jsonx-dev
     ,golang-github-json-iterator-go-dev
     ,golang-github-kr-text-dev
     ,golang-github-mattn-go-isatty-dev
@@ -77,20 +69,19 @@
     ,golang-github-packethost-packngo-dev
     ,golang-github-pascaldekloe-goe-dev
     ,golang-github-patrickmn-go-cache-dev
-    ,golang-github-peterbourgon-diskv-dev
     ,golang-github-pierrec-lz4-dev
     ,golang-github-pmezard-go-difflib-dev
     ,golang-github-ryanuber-columnize-dev
     ,golang-github-ryanuber-go-glob-dev
     ,golang-github-shirou-gopsutil-dev
-    ,golang-github-spf13-pflag-dev
-    ,golang-golang-x-sys-dev (>= 0.0~git20161012~)
+    ,golang-go.opencensus-dev
+    ,golang-golang-x-sys-dev
     ,golang-golang-x-time-dev (>= 0.0+git20200630~)
     ,golang-gopkg-inf.v0-dev
     ,golang-gopkg-square-go-jose.v2-dev
+    ,golang-k8s-sigs-yaml-dev
     ,mockery
 # tests:
-    ,golang-github-sap-go-hdb-dev
     ,procps
 Homepage: https://github.com/hashicorp/consul
 Vcs-Browser: https://salsa.debian.org/go-team/packages/consul
@@ -99,6 +90,7 @@
 #Testsuite: autopkgtest-pkg-go
 
 Package: golang-github-hashicorp-consul-dev
+Section: golang
 Architecture: all
 Depends: ${misc:Depends}
     ,golang-github-armon-go-metrics-dev (>= 0.0~git20171117~)
@@ -106,7 +98,7 @@
     ,golang-github-hashicorp-go-bexpr-dev
     ,golang-github-hashicorp-go-cleanhttp-dev (>= 0.5.1~)
     ,golang-github-hashicorp-go-hclog-dev (>= 0.9.2~)
-    ,golang-github-hashicorp-golang-lru-dev (>= 0.0~git20160207~)
+    ,golang-github-hashicorp-golang-lru-dev
     ,golang-github-hashicorp-go-memdb-dev
     ,golang-github-hashicorp-go-msgpack-dev (>= 0.5.5~)
     ,golang-github-hashicorp-go-rootcerts-dev (>= 1.0.2~)
@@ -114,17 +106,16 @@
     ,golang-github-hashicorp-hcl-dev
     ,golang-github-hashicorp-hil-dev (>= 0.0~git20160711~)
     ,golang-github-hashicorp-memberlist-dev (>= 0.1.5~)
-    ,golang-github-hashicorp-go-plugin-dev (>= 1.0.1~)
     ,golang-github-hashicorp-raft-boltdb-dev
     ,golang-github-hashicorp-raft-dev (>= 1.1.2~)
     ,golang-github-hashicorp-serf-dev (>= 0.9.4~)
-    ,golang-github-hashicorp-yamux-dev (>= 0.0~git20151129~)
+    ,golang-github-hashicorp-yamux-dev
     ,golang-github-inconshreveable-muxado-dev
     ,golang-github-miekg-dns-dev (>= 1.1.26~)
     ,golang-github-mitchellh-cli-dev (>= 1.1.1~)
     ,golang-github-mitchellh-copystructure-dev
     ,golang-github-pascaldekloe-goe-dev
-    ,golang-golang-x-sys-dev (>= 0.0~git20161012~)
+    ,golang-golang-x-sys-dev
 Description: tool for service discovery, monitoring and configuration (source)
  Consul is a tool for service discovery and configuration. Consul is
  distributed, highly available, and extremely scalable.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-include /usr/share/dpkg/default.mk
+include /usr/share/dpkg/pkg-info.mk
 
 ## needs "mockery":
 export DH_GOLANG_GO_GENERATE := 1
@@ -23,15 +23,6 @@
     MINUS:=-
 endif
 
-GIT_COMMIT      := $(shell debian/upstream-git.sh commit $(DEB_VERSION_UPSTREAM))
-GIT_COMMIT_YEAR := $(shell debian/upstream-git.sh year   $(DEB_VERSION_UPSTREAM))
-ifndef GIT_COMMIT
-  $(error Missing GIT_COMMIT - see debian/upstream-git.sh)
-endif
-ifndef GIT_COMMIT_YEAR
-  $(error Missing GIT_COMMIT_YEAR - see debian/upstream-git.sh)
-endif
-
 %:
 	dh $@ --buildsystem=golang --with=golang,bash-completion --builddirectory=_build
 
@@ -43,15 +34,6 @@
 	-find vendor -type d -empty -delete -print
 	$(RM) -r test/integration
 
-override_dh_auto_configure:
-	dh_auto_configure
-	
-	mkdir -v -p _build/src/github.com/keybase/
-	ln -sv /usr/share/gocode/src/golang.org/x/crypto  _build/src/github.com/keybase/go-crypto
-	
-	mkdir -v -p _build/src/github.com/SermoDigital/
-	ln -sv /usr/share/gocode/src/gopkg.in/square/go-jose.v1  _build/src/github.com/SermoDigital/jose
-
 LIBSELF:=github.com/hashicorp/consul
 override_dh_auto_build:
 #	## https://salsa.debian.org/onlyjob/notes/wikis/golang
@@ -62,7 +44,9 @@
 #	dh_auto_build -v
 #	
 	export GOPATH=$(CURDIR)/_build \
-        && $(MAKE) GIT_COMMIT=$(GIT_COMMIT) GIT_COMMIT_YEAR=$(GIT_COMMIT_YEAR) -C _build/src/$(LIBSELF) --makefile=$(CURDIR)/GNUmakefile proto
+	       GIT_COMMIT=$(DEB_VERSION_UPSTREAM) \
+	       GIT_COMMIT_YEAR=$(shell date -u -d @$(SOURCE_DATE_EPOCH) +%Y) \
+        && $(MAKE) -C _build/src/$(LIBSELF) --makefile=$(CURDIR)/GNUmakefile proto
 	
 	dh_auto_build -v

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repacksuffix=+dfsg1,\
repack,compression=xz,\
dversionmangle=s{[~+](?:ds|dfsg)\d*$}{},\
"  https://github.com/hashicorp/consul/releases \
   .*/archive/v?(\d[\d.]+)\.tar\.gz
